import React from 'react';
import PropTypes from 'prop-types';
import {
  FLAGS_SVGS_URLS, BANKS_SVGS_URLS,
  FACILITATORS_SVGS_URLS, UNKNOWN_SVGS_URLS,
} from './remoteImages';

function getPaymentImage(id) {
  switch (id) {
    case 'amazon':
      return FACILITATORS_SVGS_URLS.amazon;
    case 'amex':
      return FLAGS_SVGS_URLS.amex;
    case 'aura':
      return FLAGS_SVGS_URLS.aura;
    case 'cirrus':
      return FLAGS_SVGS_URLS.cirrus;
    case 'diners':
      return FLAGS_SVGS_URLS.diners;
    case 'direct_debit':
      return FLAGS_SVGS_URLS.direct_debit;
    case 'discover':
      return FLAGS_SVGS_URLS.discover;
    case 'ebay':
      return FLAGS_SVGS_URLS.ebay;
    case 'elo':
      return FLAGS_SVGS_URLS.elo;
    case 'eway':
      return FLAGS_SVGS_URLS.eway;
    case 'jcb':
      return FLAGS_SVGS_URLS.jcb;
    case 'maestro':
      return FLAGS_SVGS_URLS.maestro;
    case 'mastercard':
      return FLAGS_SVGS_URLS.mastercard;
    case 'paypal':
      return FACILITATORS_SVGS_URLS.paypal;
    case 'sage':
      return FLAGS_SVGS_URLS.sage;
    case 'shopify':
      return FLAGS_SVGS_URLS.shopify;
    case 'skrill_moneybookers':
      return FLAGS_SVGS_URLS.skrill_moneybookers;
    case 'skrill':
      return FLAGS_SVGS_URLS.skrill;
    case 'solo':
      return FLAGS_SVGS_URLS.solo;
    case 'visa_electron':
      return FLAGS_SVGS_URLS.visa_electron;
    case 'visa':
      return FLAGS_SVGS_URLS.visa;
    case 'wallet':
      return FACILITATORS_SVGS_URLS.wallet;
    case 'western':
      return FLAGS_SVGS_URLS.western;
    case 'worldpay':
      return FLAGS_SVGS_URLS.worldpay;
    case 'boleto':
      return BANKS_SVGS_URLS.boleto;
    case 'cielo':
      return FACILITATORS_SVGS_URLS.cielo;
    case 'elavon':
      return FACILITATORS_SVGS_URLS.elavon;
    case 'global':
      return FACILITATORS_SVGS_URLS.global;
    case 'pagseguro':
      return FACILITATORS_SVGS_URLS.pagseguro;
    case 'rede':
      return FACILITATORS_SVGS_URLS.rede;
    case 'stone':
      return FACILITATORS_SVGS_URLS.stone;
    case 'bb':
      return BANKS_SVGS_URLS.bb;
    case 'bradesco':
      return BANKS_SVGS_URLS.bradesco;
    case 'caixa':
      return BANKS_SVGS_URLS.caixa;
    case 'hsbc':
      return BANKS_SVGS_URLS.hsbc;
    case 'itau':
      return BANKS_SVGS_URLS.itau;
    case 'santander':
      return BANKS_SVGS_URLS.santander;
    default:
      return UNKNOWN_SVGS_URLS.generic;
  }
}

const PaymentIcon = ({ style, className, id }) => (
  <img
    src={getPaymentImage(id)}
    style={style}
    className={className}
    alt={`${id} payment icon`}
  />
);

PaymentIcon.propTypes = {
  style: PropTypes.object.isRequired,
  className: PropTypes.string.isRequired,
  id: PropTypes.string.isRequired,
};

export default PaymentIcon;
